# https://github.com/pallets/werkzeug/archive/0.14.1.tar.gz
%global module werkzeug

Name:           python-%{module}
Version:        2.2.2
Release:        %mkrel 1
Summary:        The Swiss Army knife of Python web development

Group:          Development/Python
License:        BSD
URL:            http://werkzeug.pocoo.org/
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

%description
Werkzeug
========

Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).

%package -n python3-%{module}
Summary:        The Swiss Army knife of Python web development
Group:          Development/Python

%description -n python3-%{module}
Werkzeug
========

Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).

%prep
%setup -qn %{module}-%{version}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!*|#!%{__python3}|'

%build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
%{__rm} -rf docs/_build/html/.buildinfo
%{__rm} -rf examples/cupoftee/db.pyc
popd

%files -n python3-werkzeug
%defattr(-,root,root)
%{python3_sitelib}/*

%changelog
* Wed Aug 17 2022 tex - 2.2.2-1pclos2022
- new version

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 0.14.1-1pclos2018
- update

* Tue Aug 22 2017 bb2 <bb2> - 0.11.0-1pclos2017
- new
